import { jsx } from "react/jsx-runtime";
import { TokenKMON as TokenKMON$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenKMON = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "KMON", "data-name": "TokenKMON", ...props, children: /* @__PURE__ */ jsx(TokenKMON$1, { variant }) });
  }
);
TokenKMON.displayName = "TokenKMON";
Object.assign(TokenKMON, { isGdsIcon: true });
export {
  TokenKMON
};
